[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#286349: patch, pointing out that there is a cdrom-checker in the main-menu



tag 286349 patch

Hi,

the patch adds a sentence to the template shown in case the cd is not 
readable, pointing out that there is a cdrom-checker in the main-menu.


regards,
	Holger


Index: arch/powerpc/quik-installer/debian/postinst
===================================================================
--- arch/powerpc/quik-installer/debian/postinst	(revision 38774)
+++ arch/powerpc/quik-installer/debian/postinst	(working copy)
@@ -101,6 +101,18 @@
 # The partition where quik is installed must be ext2 and
 # quik must be installed on the first disk
 if [ "$boot_devfs" != "$root_devfs" ]; then
+<<<<<<< .mine
+    if ! grep '[[:space:]]/target/boot[[:space:]]ext2[[:space:]]' /proc/mounts \
+        >/dev/null; then
+        die quik-installer/boot_not_ext2 '/boot not ext2'
+    fi
+    if [ "${boot#/dev/hd}" != "$boot" ] && [ "${boot#/dev/hda}" = "$boot" ]; then
+        die quik-installer/boot_not_on_first_disk '/boot not on first disk'
+    fi
+elif ! grep '[[:space:]]/target[[:space:]]ext2[[:space:]]' /proc/mounts \
+    >/dev/null; then
+    die quik-installer/boot_not_ext2 '/boot not ext2'
+=======
 	if ! grep '[[:space:]]/target/boot[[:space:]]ext2[[:space:]]' /proc/mounts \
 	   >/dev/null; then
 		die quik-installer/boot_not_ext2 '/boot not ext2'
@@ -111,6 +123,7 @@
 elif ! grep '[[:space:]]/target[[:space:]]ext2[[:space:]]' /proc/mounts \
      >/dev/null; then
 	die quik-installer/boot_not_ext2 '/boot not ext2'
+>>>>>>> .r38658
 fi
 
 # Generate quik.conf
@@ -159,14 +172,27 @@
 	quikconf=/target/etc/quik.conf
 	quikinstall="quik -v -f"
 
+<<<<<<< .mine
 fi
 
+#       TODO: in case /boot is a seperate partition:
+#             make a link from /etc/quik.conf to /boot/etc/quik.conf
+rm -f $quikconf
+
+=======
+fi
+
 #	TODO: in case /boot is a seperate partition:
 #	      make a link from /etc/quik.conf to /boot/etc/quik.conf
 rm -f $quikconf
 
+>>>>>>> .r38658
 writequikconf() {
+<<<<<<< .mine
+    writefile $quikconf quik.conf
+=======
 	writefile $quikconf quik.conf
+>>>>>>> .r38658
 }
 
 writequikconf <<EOF
@@ -178,8 +204,13 @@
 root=$root
 partition=$partnr
 
+<<<<<<< .mine
 #	TODO: AFAIK this comment isnt true anymore and should be removed..
+#		this needs confirmation/testing
+=======
+#	TODO: AFAIK this comment isnt true anymore and should be removed..
 #	      this needs confirmation/testing
+>>>>>>> .r38658
 ## Do not point image= to a symlink, quik can't follow symlinks
 image=$realkernel
 	label=Linux
@@ -218,8 +249,13 @@
 db_get "$WARNING_TEMPLATE"
 [ "$RET" = true ] || exit 10
 
+<<<<<<< .mine
 log-output -t quik-installer chroot /target $quikinstall || \
+    die quik-installer/quikerr "quik failed with exit status $?"
+=======
+log-output -t quik-installer chroot /target $quikinstall || \
 	die quik-installer/quikerr "quik failed with exit status $?"
+>>>>>>> .r38658
 
 # Configure OpenFirmware (OldWorld only)
 
Index: arch/powerpc/quik-installer/debian/changelog
===================================================================
--- arch/powerpc/quik-installer/debian/changelog	(revision 38774)
+++ arch/powerpc/quik-installer/debian/changelog	(working copy)
@@ -1,6 +1,15 @@
 quik-installer (0.0.14) unstable; urgency=low
 
+<<<<<<< .mine
+  [ Holger Levsen ]
+  * Adjusted the partition checks to match with current quik version.
+    (Closes: #321820)
+  * If /boot is a seperate partition, quik.conf needs to reside in
+    /boot/etc/quik.conf.
   [ Colin Watson ]
+=======
+  [ Colin Watson ]
+>>>>>>> .r38658
   * Update messages about the syslog to refer to virtual console 4, not 3.
 
   [ Holger Levsen ]
Index: partman/partman-auto/recipes-powerpc-powermac_oldworld/atomic
===================================================================
--- partman/partman-auto/recipes-powerpc-powermac_oldworld/atomic	(revision 38774)
+++ partman/partman-auto/recipes-powerpc-powermac_oldworld/atomic	(working copy)
@@ -1,5 +1,7 @@
 partman-auto/text/atomic_scheme ::
 
+<<<<<<< .mine
+=======
 8 128 32 ext2
 	method{ format }
 	format{ }
@@ -7,6 +9,7 @@
 	filesystem{ ext2 }
 	mountpoint{ /boot } .
 
+>>>>>>> .r37842
 500 10000 1000000 ext3
 	$lvmok{ }
 	method{ format }
Index: cdrom-retriever/debian/cdrom-retriever.templates
===================================================================
--- cdrom-retriever/debian/cdrom-retriever.templates	(revision 38779)
+++ cdrom-retriever/debian/cdrom-retriever.templates	(working copy)
@@ -4,4 +4,5 @@
 _Description: Failed to copy file from CD-ROM. Retry?
  There was a problem reading data from the CD-ROM. Please make sure it is in
  the drive. If retrying does not work, you should check the integrity of
- your CD-ROM.
+ your CD-ROM. This can be done with the cdrom-checker module from debian-installers
+ main menu.
Index: cdrom-retriever/debian/changelog
===================================================================
--- cdrom-retriever/debian/changelog	(revision 38779)
+++ cdrom-retriever/debian/changelog	(working copy)
@@ -1,7 +1,11 @@
 cdrom-retriever (1.12) UNRELEASED; urgency=low
 
+  [ Colin Watson ]
   * Put debhelper in Build-Depends rather than in Build-Depends-Indep.
 
+  [ Holger Levsen ]
+  * point out that there is a cdrom-checker in the main-menu (Closes: #286349)
+
  -- Colin Watson <cjwatson@debian.org>  Sun,  2 Jul 2006 22:51:21 +0100
 
 cdrom-retriever (1.11) unstable; urgency=low

Attachment: pgp31J1VG3VrJ.pgp
Description: PGP signature


Reply to: